package sum.test;

import javax.jdo.annotations.IdGeneratorStrategy;
import javax.jdo.annotations.IdentityType;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;
import javax.jdo.annotations.PrimaryKey;
import javax.persistence.SequenceGenerator;

/**
 *
 * @author steve
 */

@SequenceGenerator(name="testSeq",initialValue=1,allocationSize=50)
@PersistenceCapable(identityType=IdentityType.APPLICATION)
public class Test {
    
    @PrimaryKey
    @Persistent(valueStrategy=IdGeneratorStrategy.SEQUENCE,sequence="testSeq")
    private long id;
    
    private int number;
    
    protected Test() {
        
    }

    /**
     * @return the id
     */
    public long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(long id) {
        this.id = id;
    }

    /**
     * @return the number
     */
    public int getNumber() {
        return number;
    }

    /**
     * @param number the number to set
     */
    public void setNumber(int number) {
        this.number = number;
    }
}
